<?php
// functions/utils.php - وظائف مساعدة عامة

function format_date($date) {
    return date("Y-m-d", strtotime($date));
}

function format_money($amount) {
    return number_format($amount, 2, '.', ',');
}

function is_admin() {
    return isset($_SESSION['role']) && in_array($_SESSION['role'], ['admin', 'distributor']);
}

function get_teacher_id() {
    return $_SESSION['teacher_id'] ?? null;
}

function log_activity($action, $details = '') {
    // يمكنك استخدام هذا لتسجيل أنشطة المستخدم في ملف أو جدول
    error_log("[$action] " . $details);
}
?>