<!-- includes/sidebar.php -->
<aside class="sidebar p-3 bg-white border-end min-vh-100 shadow-sm">
    <ul class="nav flex-column gap-2">
        <li class="nav-item mb-3">
            <a class="nav-link active btn btn-outline-primary" href="/index.php"><i class="fas fa-home me-2"></i> الصفحة الرئيسية</a>
        </li>
        
        <?php if (isset($_SESSION['role']) && $_SESSION['role'] === 'distributor'): ?>
            <li class="nav-item mb-3">
                <a class="nav-link btn btn-outline-primary" href="/admin/register_teacher.php"><i class="fas fa-user-plus me-2"></i> تسجيل معلم</a>
            </li>
            <li class="nav-item mb-3">
                <a class="nav-link btn btn-outline-success" href="/admin/subscriptions.php"><i class="fas fa-key me-2"></i> إدارة الاشتراكات</a>
            </li>
            <li class="nav-item mb-3">
                <a class="nav-link btn btn-outline-secondary" href="/admin/courses.php"><i class="fas fa-book me-2"></i> إدارة المقررات</a>
            </li>
            <li class="nav-item mb-3">
                <a class="nav-link btn btn-outline-warning" href="/admin/support/tickets.php"><i class="fas fa-ticket-alt me-2"></i> الدعم الفني</a>
            </li>
            <li class="nav-item mb-3">
                <a class="nav-link btn btn-outline-info" href="/admin/profile.php"><i class="fas fa-user-circle me-2"></i> الملف الشخصي</a>
            </li>
        <?php endif; ?>

        <?php if (isset($_SESSION['role']) && $_SESSION['role'] === 'teacher'): ?>
            <li class="nav-item mb-3">
                <a class="nav-link btn btn-outline-secondary" href="/teacher/students.php"><i class="fas fa-user-graduate me-2"></i> الطلاب</a>
            </li>
            <li class="nav-item mb-3">
                <a class="nav-link btn btn-outline-success" href="/teacher/revenue.php"><i class="fas fa-money-bill-wave me-2"></i> المدفوعات</a>
            </li>
            <li class="nav-item mb-3">
                <a class="nav-link btn btn-outline-info" href="/teacher/attendance.php"><i class="fas fa-clipboard-check me-2"></i> الحضور</a>
            </li>
            <li class="nav-item mb-3">
                <a class="nav-link btn btn-outline-warning" href="/teacher/parents.php"><i class="fas fa-users me-2"></i> أولياء الأمور</a>
            </li>
            <li class="nav-item mb-3">
                <a class="nav-link btn btn-outline-danger" href="/teacher/groups.php"><i class="fas fa-layer-group me-2"></i> المجموعات</a>
            </li>
            <li class="nav-item mb-3">
                <a class="nav-link btn btn-outline-primary" href="/teacher/evaluations.php"><i class="fas fa-chart-line me-2"></i> التقييمات</a>
            </li>
        <?php endif; ?>

        <li class="nav-item mb-3">
            <a class="nav-link btn btn-outline-dark" href="/settings/change-password.php"><i class="fas fa-cog me-2"></i> الإعدادات</a>
        </li>
    </ul>
</aside>

