self.addEventListener('install', function(event) {
    event.waitUntil(
        caches.open('teacher-app-cache').then(function(cache) {
            return cache.addAll([
                '/teacher-dashboard/mobile/',
                '/teacher-dashboard/mobile/index.php',
                '/teacher-dashboard/mobile/login.php',
                '/teacher-dashboard/assets/css/style.css',
                '/teacher-dashboard/assets/js/main.js'
            ]);
        })
    );
});

self.addEventListener('fetch', function(event) {
    event.respondWith(
        caches.match(event.request).then(function(response) {
            return response || fetch(event.request);
        })
    );
});