<?php
include 'includes/functions.php';

$current_version = '1.0.0'; // يجب تخزين هذا في ملف config
$remote_version_url = 'https://yourdomain.com/version.json'; 

$remote = json_decode(file_get_contents($remote_version_url), true);

if ($remote && $remote['version'] !== $current_version) {
    echo "<div class='container mt-5'>
            <div class='alert alert-warning'>
                🚀 هناك تحديث جديد متاح: {$remote['version']} 
                <a href='{$remote['download_link']}' class='btn btn-sm btn-success ms-2'>تحديث الآن</a>
            </div>
          </div>";
} else {
    echo "<div class='container mt-5'>
            <div class='alert alert-success'>✅ نظامك محدث إلى آخر إصدار</div>
          </div>";
}
?>